Phoca Open Graph Plugin : custom image fields

Phoca plugins - support for all Phoca plugins except Phoca Gallery plugins
Semaphore
Phoca Newbie
Phoca Newbie
Posts: 2
Joined: 14 Oct 2021, 20:56

Phoca Open Graph Plugin : custom image fields

Post by Semaphore » 14 Oct 2021, 21:50

Hi,
We need to use an image custom field as og:image
We can image it would be just after the Fulltext image in the select image flow.

If I write a user case :
As a admin
I want to be able to select an image custom field
In order to select it for displaying it in og meta

Sadly I need a fix very quickly : if you have a quick and dirty code to implement in the phocaopengraph for using a specific custom field (no need for a backoffice UI for selecting the field).

Thanks for your help (if you can of course)

User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 44438
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Phoca Open Graph Plugin : custom image fields

Post by Jan » 19 Oct 2021, 20:05

Hi, for now, this procedure is used for displaying the image:

https://www.phoca.cz/documents/70-phoca ... open-graph

If this does not fit your needs, then the only one option is to customize the code directly.

Jan
If you find Phoca extensions useful, please support the project

Semaphore
Phoca Newbie
Phoca Newbie
Posts: 2
Joined: 14 Oct 2021, 20:56

Re: Phoca Open Graph Plugin : custom image fields

Post by Semaphore » 25 Oct 2021, 18:43

Indeed it's not what i'm looking for.

micropalla
Phoca Newbie
Phoca Newbie
Posts: 7
Joined: 11 May 2019, 08:57

Re: Phoca Open Graph Plugin : custom image fields

Post by micropalla » 01 Nov 2021, 12:35

Hi! The version 4.0.1 is ONLY for Joomla 4?
Do you suggest me to uninstall the 3.1.12, upgrade my J3 website to J4 and then reinstall the 4.0.1?
Thanks!

User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 44438
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Phoca Open Graph Plugin : custom image fields

Post by Jan » 03 Nov 2021, 15:08

Hi, there are two versions - on for Joomla 3, second for Joomla 4.

You should upgrade to Joomla 4 when you will 100% sure, all your parts of website are compatible with Joomla 4.

Jan
If you find Phoca extensions useful, please support the project

Post Reply